---
title: Navigator.keyboard
slug: Web/API/Navigator/keyboard
tags:
  - API
  - Experimental
  - Keyboard API
  - Keyboard Map
  - Navigator
  - Property
  - Reference
  - keyboard
---
<div>{{SeeCompatTable}}{{APIRef("Keyboard API")}}</div>

<p><span class="seoSummary">The <strong><code>keyboard</code></strong> read-only property of the {{domxref("Navigator")}} interface returns a {{domxref('Keyboard')}} object which provides access to functions that retrieve keyboard layout maps and toggle capturing of key presses from the physical keyboard.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>keyboard</var> = navigator.keyboard</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('Keyboard')}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Keyboard Map','#navigator-interface','keyboard')}}</td>
   <td>{{Spec2('Keyboard Map')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.keyboard")}}</p>
